public with sharing class OrderSearchController {
	
	// Debugging Constant
	private static final string TAG = '***OrderSearchController.cls - ';
	
	// results from the Order search
	public List<Order__c> orderSearchResults {get; set;}
	
	// textbox for search parameters
	public string orderNumber {get; set;}
	
	// constructor
	public OrderSearchController() {
		// initialize Order No string
		orderNumber = 'Order-';
	}
	
	// perform the Order search
	public PageReference searchOrders() {
		
		// initialize or clear order Search results
		if (orderSearchResults == null) {
			orderSearchResults = new List<Order__c>();
		} else {
			orderSearchResults.clear();
		}
		
		// Execute SOQL query
		orderSearchResults = [SELECT Id, Name, Customer_Name__c, Customer_Email__c,
									Planned_Delivery_Date__c, Delivered__c, 
									Grand_Total__c
							  FROM Order__c
							  WHERE Name LIKE :String.escapeSingleQuotes(orderNumber) + '%'
							  ORDER BY Name
							  LIMIT 100];
		
		return null;
	}

}