// AngularJS Controller for Opportunity List
'use-strict';
app.controller('OppListController', function($scope, $rootScope, AngularForce, 
												$location, Opportunity, ReflectionService) {
	
	// set flag to display progress message												
	$scope.isWorking = true;
													
	console.log('***OppListController.js - Getting Opportunity List...');
		
	if ($rootScope.isLoggedIn()) {
		
		console.log('***OppListController.js - Querying Opportunities...');
		
		Opportunity.getOpportunityList().then(function(data) {
			// model for view
			console.log('***OppListController.js - Building Opportunities Model...')
			$scope.isWorking = false;
			$scope.opportunityList = data;
			
		}, function(data) {
			console.log('***OppListController.js - Error Retrieving Opportunity List...');
			console.log('readyState = ' + data.readyState);
			console.log('responseText = ' + data.responseText);
			console.log('responseJSON = ' + data.responseJSON);
			console.log('status = ' + data.status);
			console.log('statusText = ' + data.statusText);
			
		});
				
	} else {
		// re-direct to login page
		$location.path('/');
	}
		
	
	
	
	/*
	var reflector = new ReflectionService.Reflector(SFConfig);
	console.log('***OppListController.js - SFConfig properties:');
	console.log(reflector.getProperties().join(' | '));
	console.log('sfLoginURL = ' + SFConfig.sfLoginURL);
	console.log('consumer Key = ' + SFConfig.consumerKey);
	console.log('oAuthCallbackURL = ' + SFConfig.oAuthCallbackURL);
	console.log('proxyURL = ' + SFConfig.proxyUrl);
	console.log('Max List Size = ' + SFConfig.maxListSize);
	console.log('client = ' + SFConfig.client);
	
	var clientReflector = new ReflectionService.Reflector(SFConfig.client);
	console.log('***OppListController.js - SFConfig.client properties:')
	console.log(clientReflector.getProperties().join(' | '));
	console.log('clientId = ' + SFConfig.client.clientId);
	console.log('loginUrl = ' + SFConfig.client.loginUrl);
	console.log('proxyUrl = ' + SFConfig.client.proxyUrl);
	console.log('authzHeader = ' + SFConfig.client.authzHeader);
	console.log('refreshToken = ' + SFConfig.client.refreshToken);
	console.log('sessionId = ' + SFConfig.client.sessionId);
	console.log('apiVersion = ' + SFConfig.client.apiVersion);
	console.log('instanceUrl = ' + SFConfig.client.instanceUrl);
	console.log('asncAjax = ' + SFConfig.client.asyncAjax);
	console.log('userAgentString = ' + SFConfig.client.userAgentString);
	console.log('authCallback = ' + SFConfig.client.authCallback);
	console.log('serviceURL = ' + SFConfig.client.serviceURL);
	*/
	
	

});
