// AngularJS Controller for Opportunity View
'use-strict';
app.controller('OppViewController', function($scope, $rootScope, AngularForce, $routeParams,
												$location, Opportunity, ReflectionService) {
	
	// set flag to display progress message												
	$scope.isWorking = true;
													
	console.log('***OppViewController.js - Getting Opportunity' + 
		 			$routeParams.oppId + '...');

	if ($rootScope.isLoggedIn()) {
		console.log("***OppViewController.js - User Logged In");
		
		Opportunity.getOpportunity($routeParams.oppId).then(function(data) {
			// model for view
			console.log('***OppViewController.js - Building Opportunity Model...')
			$scope.isWorking = false;
			$scope.opportunity = data[0];
			
			var reflector = new ReflectionService.Reflector($scope.opportunity[0]);
			console.log('***OppViewController.js - Opportunity properties:');
			console.log(reflector.getProperties().join(' | '));
			
			
		}, function(data) {
			console.log('***OppListController.js - Error Retrieving Opportunity...');
			console.log('readyState = ' + data.readyState);
			console.log('responseText = ' + data.responseText);
			console.log('responseJSON = ' + data.responseJSON);
			console.log('status = ' + data.status);
			console.log('statusText = ' + data.statusText);
			
		});
		
	} else {
		console.log("***OppViewController.js - User NOT Logged In");
		$location.path('/');
	}
	
});