/*******************************
 Location Services for
 Application
*******************************/

console.log('***LocationService.js - Initializing LocationService...');
app.service('LocationService', function($q) {

	this.getCurrentLocation = function() {
		var deferred = $q.defer();
		
		// default co-ordinates are Sydney, Australia
		var defaultLatitude = -34.397;
		var defaultLongitude = 150.644;
		
		
		var success = function(position) {
			console.log('***LocationService.js - Location Service Successful...');
			console.log('-->Latitude - ' + position.coords.latitude);
			console.log('-->Longitude - ' + position.coords.longitude);
			deferred.resolve(position);
		}
		
		var error = function() {
			console.log('***LocationService.js - Using Default Co-ordinates...');
			var defaultPosition = {
				latitude: defaultLatitude,
				longitude: defaultLongitude
			};
			deferred.reject(defaultPosition);
		}
		
		if (navigator.geolocation) {
			navigator.geolocation.getCurrentPosition(success, error);
		} else {
			console.log('***LocationService.js - Location Services not supported. Using default...')
			error();
		}
				
		// return promise to controller to deliver deferred results
		return deferred.promise;
		
	}

});