package com.packt.forcenotify;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.google.android.gms.gcm.GoogleCloudMessaging;

import android.app.Activity;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.support.v4.app.NotificationCompat;
import android.util.Log;



public class MyBroadcastReceiver extends BroadcastReceiver {
	
	public static final int NOTIFICATION_ID = 1;
	private NotificationManager mNotificationManager;
	NotificationCompat.Builder builder;
	Context ctx;
	
	private String TAG = "MyBroadcastReceiver.java";


	@Override
	public void onReceive(Context context, Intent intent) {
		Log.d(TAG, "***Push Notification Received Notification from Hub...");
		
		// Set up Application Class to receive notification
		// from Azure Notification Hub
		GoogleCloudMessaging gcm = GoogleCloudMessaging.getInstance(context);
		ctx = context;
		String messageType = gcm.getMessageType(intent);
		if (GoogleCloudMessaging.MESSAGE_TYPE_SEND_ERROR.equals(messageType)) {
			sendNotification("***Send error: " + intent.getExtras().toString());
		} else if (GoogleCloudMessaging.MESSAGE_TYPE_DELETED.equals(messageType)) {
			sendNotification("***Deleted messages on server: " 
										+ intent.getExtras().toString());
		} else {
			Log.d(TAG, "***Received Notification from Hub - " + intent.getExtras().toString());
			Log.d(TAG, "***Message from Hub = " + intent.getExtras().getString("message"));
			sendNotification("Received: " + intent.getExtras().getString("message"));
		}
		setResultCode(Activity.RESULT_OK);

	}
	
private void sendNotification(String msg) {
		
		Log.d(TAG, "***Processing Notification from Hub...");
		
		// Display Notification on Android Device
		mNotificationManager = (NotificationManager)ctx.getSystemService(Context.NOTIFICATION_SERVICE);
		PendingIntent contentIntent = PendingIntent.getActivity(ctx, 0, new Intent(ctx, MainActivity.class), 0);
		NotificationCompat.Builder mBuilder = 
				new NotificationCompat.Builder(ctx)
				.setSmallIcon(R.drawable.sf__icon)
				.setContentTitle("ForceNotify")
				.setStyle(new NotificationCompat.BigTextStyle().bigText(msg))
				.setContentInfo(msg);
		mBuilder.setContentIntent(contentIntent);
		mNotificationManager.notify(NOTIFICATION_ID, mBuilder.build());
		Log.d(TAG, "***Successfully Processed Notification from Hub...");
		
	}


}
